macOS Lion installation (mid-2007 mac mini)

I’m curious if anyone has a response to this question. What is the best single-box, but it, install Channels, and be done with it, NAS option?

I purchased a used Mac Mini and tried to install Channels on it. While the “tip” was definitely not posted last week; it now notes that Yosemite is required for Channels. Needless to say, I am annoyed. I have been a longtime supporter of Channels, but am growing increasingly frustrated by the rollout of the DVR service. Please help restore my faith!

What Mac Mini did you buy? Is it not possible to upgrade macOS on it?

I purchased the mid 2007 model. It can only go as high as Lion.

It should be possible to get it working on there… we just haven’t had a chance to try on something that old to verify and write up the installation scripts.

Can you try running the installer and post the output? Is it the same error as in Can I run Channels DVR on a 3.06 Ghz Core i3 iMac?

Your best price to value ratio would probably be the QNAP TS-251+. If you want to step it up with more storage you could go with the QNAP TS-451+.

You’re right! Thanks for being so patient with us during the Public Beta. As a small team, testing lots of platforms isn’t very easy. But with the help of everyone, we’re finding out some of the limits that Channels DVR has while doing our best to stretch them as far as possible with support for as many devices as possible. By rolling out DVR before it is an actual final product, we’re able to solve a lot of the problems early while getting the platform very stable for it’s official release.

What model of Mac Mini is it? If it can’t be updated past 10.7, have you considered installing Ubuntu on it? In the past I have done this with Mac Mini’s that Apple has deemed “unsupported” even though the hardware is plenty useful for server type jobs.

If you decide to try to install Ubuntu, be sure you download an LTS (Long Term Support) version of it so that you can get security and software updates for a long time. Also be sure you download an image that supports EFI boot since that’s how Macs boot. It can be tricky, but its very doable and breaths new life into a system that Apple thinks isn’t worth supporting anymore with macOS updates.

This is the error message I receive:

#!/bin/sh
#/ Channels DVR Installer
set -e

atexit() {
  if [ $? -ne 0 ]; then
    echo
    echo "ERROR: Installation of Channels DVR failed." >&2
    echo "ERROR: Please contact [email protected] with the full output above." >&2
  fi
}
trap atexit EXIT

if curl --version >/dev/null 2>&1; then
  have_curl=1
elif wget --version >/dev/null 2>&1; then
  have_wget=1
else
  echo "ERROR: Could not find curl or wget." >&2
  exit 1
fi

fetch() {
  if [ "$have_curl" = "1" ]; then
    curl -f -s "$1" -o "$2"
  else
    options=""
    test -n "$CURL_CA_BUNDLE" && options="--ca-certificate=$CURL_CA_BUNDLE"
    wget -q $options -O "$2" "$1"
  fi
}

os=$(uname -s | tr '[A-Z]' '[a-z]')
arch=$(uname -m)
version=$(fetch https://channels-dvr.s3.amazonaws.com/latest.txt -)

if [ "$arch" = "amd64" ]; then
  arch="x86_64"
elif [ "$arch" = "armv8l" ]; then
  arch="armv7l"
elif [ "$arch" = "aarch64" ]; then
  arch="arm64"
fi

printf "Downloading Channels DVR $version ($os-$arch) to $(pwd)/channels-dvr"
mkdir -p channels-dvr/$version channels-dvr/data

fetch https://channels-dvr.s3.amazonaws.com/$version/$os-$arch.sha256       channels-dvr/$version/$os-$arch.sha256
printf "."
fetch https://channels-dvr.s3.amazonaws.com/$version/ffmpeg-$os-$arch       channels-dvr/$version/ffmpeg
printf "."
fetch https://channels-dvr.s3.amazonaws.com/$version/ffprobe-$os-$arch      channels-dvr/$version/ffprobe
printf "."
fetch https://channels-dvr.s3.amazonaws.com/$version/comskip-$os-$arch      channels-dvr/$version/comskip
printf "."
fetch https://channels-dvr.s3.amazonaws.com/$version/channels-dvr-$os-$arch channels-dvr/$version/channels-dvr
echo "."

chmod +x channels-dvr/$version/*
ln -nsf $version channels-dvr/latest

if test -n "$DOWNLOAD_ONLY"; then
  echo "Channels DVR has been downloaded."
else
  fetch https://getchannels.com/dvr/install-$os.sh   channels-dvr/install.sh
  fetch https://getchannels.com/dvr/uninstall-$os.sh channels-dvr/uninstall.sh

  chmod +x channels-dvr/*.sh
  channels-dvr/install.sh

  hostname="$(hostname)"
  if echo "$hostname" | grep -vq ".local"; then
    hostname="$hostname.local"
  fi
  echo "Channels DVR has been installed. Visit http://dvr-$hostname:8089/ in your browser."

  if [ "$os" = "darwin" ]; then
    sleep 2
    open http://localhost:8089
  fi
fi

It doesn’t look like you copy/pasted the entire command from the installation page: https://community.getchannels.com/dvr/#install

curl -f -s https://getchannels.com/dvr/setup.sh | sh

I used the setup script download: https://getchannels.com/dvr/setup.sh

I receive that error message. When I use the Terminal command, it does not appear as though anything happens.

Ok, please copy/paste the following command into Terminal. Then copy/paste what’s shown back, including the prompt and the command you pasted in originally and any new output.

curl --insecure https://getchannels.com/dvr/setup.sh | INSECURE_SSL=1 sh

Last login: Tue Jan 17 21:10:34 on ttys000
Statler-and-Waldorf:~ Temp$
Statler-and-Waldorf:~ Temp$ curl --insecure https://getchannels.com/dvr/setup.sh | INSECURE_SSL=1 sh
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0
curl: (35) error:14077410:SSL routines:SSL23_GET_SERVER_HELLO:sslv3 alert handshake failure
Statler-and-Waldorf:~ Temp$

yeah, the insecure wont work because the down level protocols aren’t supported.

I also tried to install on an old Lion installation, which was a 2006 Core 2 Duo MBP, my “media server.”

The reason it failed to install is that the machine identified it’s architecture as i386, and there wasn’t a matching set of pre-compiled binaries on the server, so it silently fails with a permission denied.

That particular machine was capable of running 64 bit user space code, but the kernel and EFI were 32bit. Just out of curiosity, I hard coded the arch as x86_64, and the install succeded, but the binaries all segfault.

The easiest way to see where the script goes awry, for me, was to add a line towards the top containing only “set -x”, which echos all commands as they’re run and their results.

Judging by the replies from others down the line of this thread, am I correct in assuming that this is a lost cause?

Would this be all I need. No extra peripherals (hard drives, etc.)?

From the link @maddox gave you, you would still need storage space (hard drives) for the NAS; the configuration from that link is diskless. On that same page, Amazon sells the 251+ with two 3TB hard drives; their pricing is about the same as buying your own 3TB WD Red NAS drives, but you could probably save a few bucks by supplying your own hard drives for the device if you went with smaller sized drives or already had your own.

I had the same issue with my iMac 3.06 Ghz running OSX Lion 10.7.5

The installer software that Channels is using has an SSL protocol that is not compatible with this OSX version, so no way to install it via this installer.

It doesn’t look like Channels has another means of installing for our case, so we are out of luck unless they do so or we can find some way to upgrade our OSX to a version that is compatible with their installer (OSX Mavericks as min but I think Sierra is the only available update currently offered, which may or may not be compatible with your hardware).

So, to wrap, there are 3 possible outcomes to resolve this issue:

  1. Channels offers an installer that is compatible with OSX Lion

  2. Upgrade your OSX to a version compatible with Channels DVR installer (If possible)

  3. Purchase new hardware that meets minimum requirements for Channels DVR

It sounds like a NAS would be best for you,@$569, but if you did want to salvage the mini, it could be upgraded to Ubuntu, like Maddox said, The CPU is too old for all the hardware video functions, but it would be fast enough to run in software. the problem with the box, despite being 9 already and still being usable, is that it runs mac OS and Apple doesn’t like supporting old stuff.

You might need to find someone local to help you with that upgrade to Ubuntu.

Might he pick up a compatible (newer) used Mac Mini for about half that cost? I’m seeing a few on our local Craigslist in the $200 ballpark.

If running Linux is unappealing, and the price tag of a new NAS is too high (it is for me too, so i just went to my desktop support guys and asked for an extra computer for home :slight_smile:) then you are with limited options. I wouldn’t go older than 2012 if it were my money.

There may be hope yet for your Mac Mini.

As I indicated above, I have a 2011 iMac 3.06 Ghz that is running OSX Lion 10.7.5

My “Available Updates” indicate that this is the latest software available for my Mac.

However…

I have just successfully upgraded it to the latest Mac software OSX Sierra!

So, it IS possible to upgrade from OSX Lion to OSX Sierra.

Here’s how:

  1. Go to the App store on your Mac and download OSX Sierra

  2. Run the OSX installer

  3. Retry Channels DVR install

It would be worth a try for you in my opinion. Could save you some serious cash vs buying new hardware.